/*
 *  TOPPERS/ASP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Advanced Standard Profile Kernel
 * 
 *  Copyright (C) 2007 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 * 
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 * 
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 * 
 *  @(#) $Id: target_config.h 950 2008-04-14 08:50:34Z ertl-honda $
 */

/*
 *  åȰ¸⥸塼APSH4Aѡ
 *
 *  ͥΥåȰ¸Υ󥯥롼ɥե롥kernel_impl.hΥ
 *  åȰ¸ΰդȤʤ롥
 */

#ifndef TOPPERS_TARGET_CONFIG_H
#define TOPPERS_TARGET_CONFIG_H

/*
 *  åȥƥΥϡɥ񸻤
 */
#include "apsh4a.h"

/*
 *  ȥ졼˴ؤ
 */
#ifdef TOPPERS_ENABLE_TRACE
#include "logtrace/trace_config.h"
#endif /* TOPPERS_ENABLE_TRACE */

/*
 *  åȰ¸ʸϤ˻ѤݡȤ
 */
#define TARGET_PUTC_PORTID 1

/*
 *  ASPͥưΥޥåפȴϢ
 *       
 *      0x8c000000 - 0x8cffffff ΰ(1MB)
 *      0x8c100000 -            ǡΰ(3MB)
 *                 - 0x8c3fffff Ωѥå
 *                 - 0x8e000000 꽪λ
 *
 */

/*
 *  ǥեȤ󥿥ƥѤΥåΰ
 */
#define DEFAULT_ISTKSZ    0x2000U

/*
 *  å⡼ɤ
 *    P1(0x8..)              : 饤ȥ롼
 *    P0(0x0..),U0,P3(0x3..) : ԡХå
 */
#define CCR_MODE    0x00000101

/*
 *  FPUΥХ󥯥쥸¸뤫
 */
//#define FPU_SAVE_BANKED_REG

#ifndef TOPPERS_MACRO_ONLY

/*
 *  åȥƥ¸ν
 */
extern void target_initialize(void);

/*
 *  åȥƥνλ
 *
 *  ƥλ˻Ȥ
 */
extern void target_exit(void) NoReturn;

#endif /* TOPPERS_MACRO_ONLY */

/*
 *  ԤΤSILΥåȰ¸
 */
#define SIL_DLY_TIM1     52
#define SIL_DLY_TIM2     13
     
/*
 *  ץå¸⥸塼SH34ѡ
 */
#include "sh34_gcc/sh7780_config.h"
     
#endif  /* TOPPERS_TARGET_CONFIG_H */
